public class Node<E> implements Position<E> {
  private Node<E> prev, next;	// References to the nodes before and after
  private E element;	// Element stored in this position
  /** Constructor */
  public Node(E e, Node<E> p, Node<E> n) {
    prev = p;
    next = n;
    element = e;
  }
  // Method from interface Position
  public E getElement() throws InvalidPositionException {
    if ((prev == null) && (next == null))
      throw new InvalidPositionException("Position is not in a list!");
    return element;
  }
  // Accessor methods
  public Node<E> getNext() { return next; }
  public Node<E> getPrev() { return prev; }
  // Update methods
  public void setNext(Node<E> n) { next = n; }
  public void setPrev(Node<E> p) { prev = p; }
  public void setElement(E e) { element = e; }
}
